<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.singleton.singleton-policy.election-policy.random">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="name-preferences,socket-binding-preferences"/>
        <elem name="addr-params" value="profile,subsystem,singleton-policy,election-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.singleton"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.singleton-policy.election.$singleton-policy"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$socket-binding-preferences" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.singleton.singleton-policy"/>
        <ref feature="subsystem.singleton"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="singleton"/>
        <param name="name-preferences" nillable="true" type="List&lt;String&gt;"/>
        <param name="singleton-policy" feature-id="true"/>
        <param name="election-policy" feature-id="true" default="random"/>
        <param name="socket-binding-preferences" nillable="true" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>